const { api } = require("../../utils/api")

// pages/today/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    user:null,
    list:[],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init()
    wx.setNavigationBarTitle({
      title: '今日农事',
    })
  },

  init(){
    const tmp = wx.getStorageSync('user')
    this.setData({user:tmp})
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.fetchInfo()
  },

  fetchInfo(){
    api('/plant/todayCare','GET',{userId: this.data.user.id}).then(res => {
      if (res.code === 200){
        const data = res.data
        if (data !== null){
          const tmps = data.map(e => {
            if (e.ossList.length > 0){
              e.pic = e.ossList[0].url
            }
            return e
          })
          this.setData({list:tmps})
        }
      }
    })
  },
  goInfo(e){
    const id  = e.currentTarget.dataset.id
    wx.navigateTo({
      url: '../index/info?id=' + id,
    })
  },
  skip(e){
    const item = e.currentTarget.dataset.item
    const data = {id:item.id,plantId:item.plantId, name:item.name,remark:'测试',status:4}
    api('/plant/addRecord','POST',data,'json').then(res => {
      if (res.code === 200){
        wx.showToast({
          icon:'success',
          title: res.msg,
        })
        this.fetchInfo()
      }
    })
  },
  addFarmLog(e){
    const item = e.currentTarget.dataset.item
    const data = {id:item.id,plantId:item.plantId, name:item.name,remark:'测试',status:2}
    api('/plant/addRecord','POST',data,'json').then(res => {
      if (res.code === 200){
        wx.showToast({
          icon:'success',
          title: res.msg,
        })
        this.fetchInfo()
      }
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})